> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentpowers.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Reviews

> List reviews for a skill. Public, but test-user skills 404 to
non-owners (prevents using this endpoint as an existence oracle
for qa-sandbox-* slugs).



## OpenAPI

````yaml /openapi.json get /v1/skills/{slug}/reviews
openapi: 3.1.0
info:
  title: AgentPowers API
  description: Paid marketplace for Claude Code skills and agents
  version: 0.1.0
servers:
  - url: https://api.agentpowers.ai
    description: Production
security: []
paths:
  /v1/skills/{slug}/reviews:
    get:
      tags:
        - reviews
      summary: List Reviews
      description: |-
        List reviews for a skill. Public, but test-user skills 404 to
        non-owners (prevents using this endpoint as an existence oracle
        for qa-sandbox-* slugs).
      operationId: list_reviews_v1_skills__slug__reviews_get
      parameters:
        - name: slug
          in: path
          required: true
          schema:
            type: string
            title: Slug
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 50
            minimum: 1
            default: 5
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
        - name: sort
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                pattern: ^(newest|oldest|highest|lowest)$
              - type: 'null'
            title: Sort
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReviewListResponse'
        '404':
          description: Skill not found, or hidden from this caller
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ReviewListResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ReviewResponse'
          type: array
          title: Items
        total:
          type: integer
          title: Total
        skill_slug:
          type: string
          title: Skill Slug
        average_rating:
          anyOf:
            - type: number
            - type: 'null'
          title: Average Rating
        limit:
          type: integer
          title: Limit
        offset:
          type: integer
          title: Offset
      type: object
      required:
        - items
        - total
        - skill_slug
        - average_rating
        - limit
        - offset
      title: ReviewListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ReviewResponse:
      properties:
        id:
          type: string
          title: Id
        skill_slug:
          type: string
          title: Skill Slug
        rating:
          type: integer
          title: Rating
        text:
          anyOf:
            - type: string
            - type: 'null'
          title: Text
        author_display_name:
          type: string
          title: Author Display Name
        author_slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Author Slug
        created_at:
          type: string
          title: Created At
      type: object
      required:
        - id
        - skill_slug
        - rating
        - text
        - author_display_name
        - created_at
      title: ReviewResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````